Subject: RE: bug#24969: 26.0.50; number-at-point

From: Drew Adams <[email-masked]>
Date: Sun, 20 Nov 2016 08:19:28 -0800 (PST)

> tags 24969 unreproducible
> quit

Dunno what this is all about, why some of you are seeing
a number returned (or printed in a message), or why any
of you would expect that to be the case.

In Emacs 25.1 (emacs -Q), `number-at-point' at either
the `-' or the `1' returns nil, for me.  And I do not
see why it should return a number.

`number-at-point' is defined using `form-at-point' with
THING `sexp' and predicate `numberp'.  The sexp picked
up at point is `foo-1', and that fails `numberp'.

What am I missing?  Why should this rightfully return
a number?  I'm guessing that you are all using a more
recent version of `number-at-point' than what is in
Emacs 25.1 (?).  But to me the Emacs 25.1 behavior I
see (i.e., returning nil) is correct.

Did someone change the meaning of `number-at-point'
so that it now picks up a numeral that is not isolated?
If so, why would that be considered proper behavior?
At the very least it is not backward-compatible behavior.

(Hoping I'm just misunderstanding something here.)